Module jdk.jfr
Package jdk.jfr

## Annotation Type Period

    @Retention(RUNTIME)
    @Inherited
    @Target(TYPE)
    public @interface Period

Event annotation, specifies the default setting value for a periodic event.

Since:
  9

### Field Summary

Fields
`static String` `NAME` Settings name `"period"` for configuring periodic events

### Optional Element Summary

Optional Elements
`String` `value` Returns the default setting value for a periodic setting.

### Field Detail

#### NAME

    static final String NAME

Settings name `"period"` for configuring periodic events

### Element Detail

#### value

    String value

Returns the default setting value for a periodic setting.

String representation of a positive `Long` value followed by an empty space and one of the following units:
`"ns"` (nanoseconds)
`"us"` (microseconds)
`"ms"` (milliseconds)
`"s"` (seconds)
`"m"` (minutes)
`"h"` (hours)
`"d"` (days)

Example values: `"0 ns"`, `"10 ms"`, and `"1 s"`.

A period may also be `"everyChunk"` to specify that it occurs at least once for every recording file. The number of events that are emitted depends on how many times the file rotations occur when data is recorded.

Returns:
  the default setting value, not `null`

Default:
  "everyChunk"